<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="fec63785-1e36-479f-b6fe-7f94f165dd0b" name="Changes" comment="read all">
      <change afterPath="$PROJECT_DIR$/.idea/uiDesigner.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/kotlin/DAO.kt" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/kotlin/DB/DAO.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/kotlin/DataBaseScript" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/kotlin/DB/DataBaseScript" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/kotlin/Intents" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/kotlin/Main2.kt" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/kotlin/Main.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/kotlin/Problem.kt" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/kotlin/Problem.kt" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="M3_Jutge" type="f1a62948:ProjectNode" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Kotlin File" />
        <option value="Kotlin Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectId" id="2LyZDHjXllNPNZUAiQPQD8oqiZn" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;SHARE_PROJECT_CONFIGURATION_FILES&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;false&quot;,
    &quot;last_opened_file_path&quot;: &quot;C:/DAM1/M3/Nueva carpeta/m3_jutge&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;project.propVCSSupport.DirectoryMappings&quot;
  }
}</component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\DAM1\M3\Nueva carpeta\m3_jutge\src\main\kotlin\DB" />
      <recent name="C:\DAM1\M3\jutge\m3_jutge\src\main\kotlin" />
      <recent name="/dades/MarioNavas/M3/UF4/m3_jutge/src/main/kotlin/EnunciadosSoluciones" />
      <recent name="/dades/MarioNavas/M3/UF4/m3_jutge/src/main/kotlin" />
      <recent name="/dades/MarioNavas/M3/UF4/m3_jutge/src/main/EnunciatsSolucions" />
    </key>
    <key name="MoveKotlinTopLevelDeclarationsDialog.RECENTS_KEY">
      <recent name="" />
    </key>
  </component>
  <component name="RunManager" selected="Kotlin.MainKt">
    <configuration name="MainKt" type="JetRunConfigurationType" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="MainKt" />
      <module name="M3_Jutge.main" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Solution2Kt" type="JetRunConfigurationType" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="Solution2Kt" />
      <module name="M3_Jutge.main" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Kotlin.MainKt" />
        <item itemvalue="Kotlin.Solution2Kt" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="fec63785-1e36-479f-b6fe-7f94f165dd0b" name="Changes" comment="" />
      <created>1676845163926</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1676845163926</updated>
      <workItem from="1676845165284" duration="2963000" />
      <workItem from="1676921093839" duration="6220000" />
      <workItem from="1676981453391" duration="10597000" />
      <workItem from="1677053595028" duration="1128000" />
      <workItem from="1677569786945" duration="12738000" />
      <workItem from="1677707600231" duration="22000" />
      <workItem from="1678433894071" duration="12630000" />
      <workItem from="1678703945992" duration="5853000" />
      <workItem from="1678777813786" duration="8375000" />
      <workItem from="1678870201600" duration="6839000" />
      <workItem from="1678881774262" duration="2971000" />
      <workItem from="1679404357347" duration="6977000" />
      <workItem from="1681637181182" duration="4228000" />
      <workItem from="1681646149057" duration="10094000" />
      <workItem from="1681840191565" duration="4391000" />
      <workItem from="1682253785621" duration="3917000" />
      <workItem from="1682352623219" duration="1160000" />
    </task>
    <task id="LOCAL-00001" summary="first">
      <created>1676928885245</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1676928885245</updated>
    </task>
    <task id="LOCAL-00002" summary="dao interface, database connection">
      <created>1681660976072</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1681660976072</updated>
    </task>
    <task id="LOCAL-00003" summary="update and delete">
      <created>1682255798137</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1682255798137</updated>
    </task>
    <task id="LOCAL-00004" summary="read all">
      <created>1682266387415</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1682266387415</updated>
    </task>
    <option name="localTasksCounter" value="5" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <ignored-roots>
      <path value="/dades/MarioNavas/M3/UF4/m3_jutge" />
    </ignored-roots>
    <MESSAGE value="first" />
    <MESSAGE value="modified class Developer, class Robot" />
    <MESSAGE value="json file" />
    <MESSAGE value="solucions" />
    <MESSAGE value="solucions2" />
    <MESSAGE value="dao interface, database connection" />
    <MESSAGE value="update and delete" />
    <MESSAGE value="read all" />
    <option name="LAST_COMMIT_MESSAGE" value="read all" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="kotlin-line">
          <url>file:///dades/MarioNavas/M3/UF4/m3_jutge/src/main/kotlin/EnunciadosSoluciones/Solution4.kt</url>
          <line>1</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="kotlin-line">
          <url>file:///dades/MarioNavas/M3/UF4/m3_jutge/src/main/kotlin/EnunciadosSoluciones/Solution5.kt</url>
          <line>1</line>
          <option name="timeStamp" value="3" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>